#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint hyperkyc_flutter.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'hyperkyc_flutter'
  s.version          = '0.0.1'
  s.summary          = 'HyperKYC flutter plugin'
  s.static_framework = true
  s.description      = <<-DESC
  HyperKYC Flutter plugin
                         DESC
  s.homepage         = 'https://hyperverge.co/'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Hyperverge' => 'shrirama.upadhya@hyperverge.co' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'HyperKYC', '0.19.0'
  s.platform = :ios, '11.0'
  
  # Need these lines to support HyperKYC framework
  s.preserve_paths = 'HyperKYC.framework'
  s.xcconfig = { 'OTHER_LDFLAGS' => '-framework HyperKYC' }
  s.vendored_frameworks = 'HyperKYC.framework'
  
  # Flutter.framework does not contain a i386 slice.
  # s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  # s.swift_version = '5.0'
end
