/// HyperkycConstants which will be used in Hyperkyc Flutter SDK
class HyperKycConstants {
  /// HyperKyc SDK version and SDK Type
  static const String hyperKycFlutterSDKVersion = '0.19.0';
  static const String hyperKycFlutterSDKType = 'Flutter';

  /// MethodChannel constants
  static const String hyperKycChannel = 'hyperKyc';

  /// InvokeMethod name constants
  static const String createUniqueId = 'createUniqueId';
  static const String launch = 'launch';

  /// Map properties

  /// HyperKycConfig
  static const String appId = 'appId';
  static const String appKey = 'appKey';
  static const String accessToken = 'accessToken';
  static const String workflowId = 'workflowId';
  static const String transactionId = 'transactionId';
  static const String inputs = 'inputs';
  static const String defaultLangCode = 'defaultLangCode';
  static const String useLocation = 'useLocation';
  static const String uniqueId = 'uniqueId';
  static const String metadata = 'metadata';

  /// HyperKyc
  static const String hyperKycConfig = 'hyperKycConfig';

  /// HyperKycResult
  //  HyperKycStatus
  static const String autoApproved = 'auto_approved';
  static const String autoDeclined = 'auto_declined';
  static const String manuallyApproved = 'manually_approved';
  static const String manuallyDeclined = 'manually_declined';
  static const String ongoing = 'ongoing';
  static const String needsReview = 'needs_review';
  static const String userCancelled = 'user_cancelled';
  static const String error = 'error';

  static const String status = 'status';
  static const String details = 'details';
  static const String errorCode = 'errorCode';
  static const String errorMessage = 'errorMessage';
  static const String latestModule = 'latestModule';
  static const String rawDataJsonString = 'rawDataJsonString';
}
